package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyMajorCareerProspects;

/**
 * 专业就业前景Mapper接口
 * 
 * @author mingxue
 * @date 2022-04-09
 */
public interface SyMajorCareerProspectsMapper 
{
    /**
     * 查询专业就业前景
     * 
     * @param id 专业就业前景ID
     * @return 专业就业前景
     */
    public SyMajorCareerProspects selectSyMajorCareerProspectsById(Long id);
    public SyMajorCareerProspects selectSyMajorCareerProspectsByCode(String code);
    public List<SyMajorCareerProspects> selectSyMajorCareerProspectsByCodes(List<String> codes);

    /**
     * 查询专业就业前景列表
     * 
     * @param syMajorCareerProspects 专业就业前景
     * @return 专业就业前景集合
     */
    public List<SyMajorCareerProspects> selectSyMajorCareerProspectsList(SyMajorCareerProspects syMajorCareerProspects);

    /**
     * 新增专业就业前景
     * 
     * @param syMajorCareerProspects 专业就业前景
     * @return 结果
     */
    public int insertSyMajorCareerProspects(SyMajorCareerProspects syMajorCareerProspects);

    /**
     * 修改专业就业前景
     * 
     * @param syMajorCareerProspects 专业就业前景
     * @return 结果
     */
    public int updateSyMajorCareerProspects(SyMajorCareerProspects syMajorCareerProspects);

    /**
     * 删除专业就业前景
     * 
     * @param id 专业就业前景ID
     * @return 结果
     */
    public int deleteSyMajorCareerProspectsById(Long id);

    /**
     * 批量删除专业就业前景
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyMajorCareerProspectsByIds(Long[] ids);
}
